build: Relax requirement of gpg-error-config.
authorNIIBE Yutaka <gniibe@fsij.org>
Thu, 25 Oct 2018 11:44:51 +0000 (20:44 +0900)
committerNIIBE Yutaka <gniibe@fsij.org>
Thu, 25 Oct 2018 11:44:51 +0000 (20:44 +0900)
commit7a1d2dcecce3495e6aefc26892a4abb269228e9d
tree37134545228ab0410c3cbcdabd2279c0d3c3190f
parent5fb67e0e597569dc4f4c12534fb13167bf71a0b2
build: Relax requirement of gpg-error-config.

* npth.m4: Don't require AM_PATH_GPG_ERROR.

--

New gpgrt-config is completely optional.  Configuring with old
npth-config script is still supported (with no gpg-error).
With new npth.pc file, developer can use PKG_CHECK_MODULES
in pkg.m4 or npth.m4 with AM_PATH_GPG_ERROR in gpg-error.m4.

Signed-off-by: NIIBE Yutaka <gniibe@fsij.org>
npth.m4